Subject: Re: [marf] marf-base and OMA SpamRep convergence and OMA SpamRep comment

From: Yakov Shafranovich <[email-masked]>
Date: Sun, 1 Aug 2010 08:50:03 -0400

Alex,

One comment on your slides:

MARF does not support multiple messages explicitly because of RFC
3462. We had some preliminary discussions about that a while back but
at the time it was determined that a separate standard would be needed
for reporting aggregate data. There was an "Incidents" header which
indicates multiple duplicate spam messages but only one message is
actually included in the report.

Regarding XML mapping, we should consider a more generic mechanism
that maps SMTP and email to HTTP transport, as opposed to making a
specific mapping for this. Some examples:

http://www.openhealth.org/documents/xmtp.htm
http://tools.ietf.org/html/draft-dusseault-httpmail-00
http://tools.ietf.org/html/draft-maes-lemonade-http-binding-04

There have also been attempts in the past to map between MMS/SMS and email:

http://tools.ietf.org/html/rfc5442
http://tools.ietf.org/html/rfc4356

There is also some discussion about server to server notifications:

http://tools.ietf.org/html/rfc5551

On Sun, Aug 1, 2010 at 1:57 AM, Alex Bobotek <[email-masked]> wrote:
> Here’s some more on Open Mobile Alliance’s(OMA’s) ‘SpamRep’ mobile spam
> reporting draft standard.
>
>
>
> In the spirit of avoiding industry-fragmentation from competing
> abuse-reporting standards, I put some thought into whether and how marf-base
> and SpamRep might converge, particularly in the area of mobile abuse
> reporting.  “Towards Converged Message Abuse Reporting”, presented at
> IETF78.MARF,  identifies some key convergence issues along with a proposed
> roadmap:  http://www.ietf.org/proceedings/78/slides/marf-0.pdf.  I’d like to
> encourage any in MARF WG to explore and comment on this here in
> [email-masked].
>
>
>
> ------------------------------------
>
>
>
> Also, as Murray posted, OMA’s SpamRep abuse reporting standard is now under
> review.  Here are some links and more information.  The OMA documents are
> public, however only OMA members can formally submit change requests; but of
> course Murray and I (who are employed by OMA members and can submit change
> requests) are interested in everyone’s comments.  If your company is a
> member, you can apply for a login (not needed to simply view docs) at
> http://www.openmobilealliance.org .
>
>
>
> OMA has the concept of an “enabler.”  The SpamRep enabler includes:
>
>
>
> ·         A draft technical specification:
>  http://member.openmobilealliance.org/ftp/Public_documents/COM/COM-SpamRep/Permanent_documents/OMA-AD-SpamRep-V1_0-20090911-D.zip
>
> ·         An XSD for the XML:
> http://member.openmobilealliance.org/ftp/Public_documents/COM/COM-SpamRep/Permanent_documents/OMA-SUP-XSD_spam_rep-V1_0-20100707-D.zip
>
> ·         An architecture document:
> http://member.openmobilealliance.org/ftp/Public_documents/COM/COM-SpamRep/Permanent_documents/OMA-AD-SpamRep-V1_0-20090911-D.zip
>
> ·         Test requirements:
> http://member.openmobilealliance.org/ftp/Public_documents/COM/COM-SpamRep/Permanent_documents/OMA-ETR-SpamRep-V1_0-20100628-D.zip
>
>
>
> Regards,
>
>
>
> Alex Bobotek
>
> [email-masked]
>
>
>
>
>
>
>
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Murray S. Kucherawy
> Sent: Thursday, July 29, 2010 4:17 AM
> To: [email-masked]'
> Subject: [marf] OMA SpamRep document
>
>
>
> As was discussed in the MARF meeting this week, here’s a link to the OMA
> SpamRep document’s current form.
>
>
>
> http://member.openmobilealliance.org/ftp/Public_documents/COM/COM-SpamRep/Permanent_documents/OMA-TS-SpamRep-V1_0-20100708-D.zip
>
>
>
> It is under what’s called Consistency Review, which is vaguely similar to a
> combination of WGLC and IETF LC, so it’s late to be providing feedback to
> them, but if you have something major you’d like to bring to their attention
> you can send it to me or to Alex Bobotek (AT&T) who also presented this
> week.
>
>
>
> You should certainly read this if you’re interested in participating in the
> effort to work toward a merged format specification.
>
>
>
> -MSK
>
> _______________________________________________
> marf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/marf
>
>